# Xapian::NetworkError Class Reference

Indicates a problem communicating with a remote database. More...

Inheritance diagram for Xapian::NetworkError:

[legend]

List of all members.

## Public Member Functions
| NetworkError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| NetworkError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

Indicates a problem communicating with a remote database.

## Constructor & Destructor Documentation

Xapian::NetworkError::NetworkError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::NetworkError::NetworkError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h